tigase.jaxmpp.core.client.xmpp.stream

## Interface XMPPStream

- All Known Implementing Classes:
    DefaultXMPPStream

      public interface XMPPStream

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `getFeatures()`
    `void` | `setFeatures(Element children)`
    `void` | `write(Element stanza)`

- - ### Method Detail

    - #### getFeatures

          Element getFeatures()

    - #### setFeatures

          void setFeatures(Element children)

    - #### write

          void write(Element stanza)
              throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.